std::__detail::_BracketMatcher< _TraitsT, __icase, __collate >(3)

NAME
std::__detail::_BracketMatcher< _TraitsT, __icase, __collate > -

SYNOPSIS

  Public Types
typedef _TraitsT::char_class_type _CharClassT
typedef _TransT::_CharT _CharT
typedef _TraitsT::string_type _StringT
typedef _TransT::_StrTransT _StrTransT
typedef _RegexTranslator< _TraitsT, __icase, __collate > _TransT

  Public Member Functions
_BracketMatcher (bool __is_non_matching, const _TraitsT &__traits)
void _M_add_char (_CharT __c)
void _M_add_character_class (const _StringT &__s, bool __neg)
void _M_add_collating_element (const _StringT &__s)
void _M_add_equivalence_class (const _StringT &__s)
void _M_make_range (_CharT __l, _CharT __r)
void _M_ready ()
bool operator() (_CharT __ch) const

Detailed Description

  template<typename _TraitsT, bool __icase, bool __collate>struct std::__detail::_BracketMatcher< _TraitsT, __icase, __collate >
Matches a character range (bracket expression)

Definition at line 43 of file regex_compiler.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.